Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Types | List of all members
osmium::builder::WayBuilder Class Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::WayBuilder:
[legend]
Collaboration diagram for osmium::builder::WayBuilder:
[legend]

## Public Member Functions
| WayBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| WayBuilder (Builder &parent)
void | add_node_refs (const std::initializer_list< osmium::NodeRef > &nodes)
Public Member Functions inherited from osmium::builder::OSMObjectBuilder< WayBuilder, Way >
| OSMObjectBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
Way & | object () noexcept
const Way & | cobject () const noexcept
WayBuilder & | set_user (const char *user, const string_size_type length)
WayBuilder & | set_user (const char *user)
WayBuilder & | set_user (const std::string &user)
void | add_tags (const std::initializer_list< std::pair< const char *, const char * > > &tags)
Public Member Functions inherited from osmium::builder::Builder
| Builder (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (const Builder &)=delete
Builder & | operator= (Builder &&)=delete
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using.
void | add_item (const osmium::memory::Item &item)

## Private Types
using | type = WayBuilder

## Additional Inherited Members
Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder () noexcept
unsigned char * | item_pos () const noexcept
osmium::memory::Item & | item () const noexcept
unsigned char * | reserve_space (std::size_t size)
void | add_padding (bool self=false)
void | add_size (osmium::memory::item_size_type size)
uint32_t | size () const noexcept
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append_with_zero (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)

## Member Typedef Documentation

## ◆ type

using osmium::builder::WayBuilder::type = WayBuilder
| private

## Constructor & Destructor Documentation

## ◆ WayBuilder() [1/2]

osmium::builder::WayBuilder::WayBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = nullptr )
| inline explicit

## ◆ WayBuilder() [2/2]

osmium::builder::WayBuilder::WayBuilder | ( | Builder & | parent | ) |
| inline explicit

## Member Function Documentation

## ◆ add_node_refs()

void osmium::builder::WayBuilder::add_node_refs | ( | const std::initializer_list< osmium::NodeRef > & | nodes | ) |
| inline

The documentation for this class was generated from the following file:

- include/osmium/builder/osm_object_builder.hpp